---
- name: Check if zsh-autosuggestions plugin is installed
  become: false
  ansible.builtin.stat:
    path: "/home/{{ zsh_system_user }}/.oh-my-zsh/custom/plugins/zsh-autosuggestions"
  register: zsh_autosuggestions

- name: Install zsh-autosuggestions plugin
  become: false
  ansible.builtin.git:
    repo: https://github.com/zsh-users/zsh-autosuggestions
    dest: "/home/{{ zsh_system_user }}/.oh-my-zsh/custom/plugins/zsh-autosuggestions"
    version: "{{ zsh_plugin_autosuggestions_version }}"
  when: not zsh_autosuggestions.stat.exists
